> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# currency

> GenericMDOProvider reads MDO lists with default settings

## "currency" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'currency'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/currency
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("currency", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 1  | ADF  |           |           |
| 2  | AED  |           |           |
| 3  | AFA  |           |           |
| 4  | ALL  |           |           |
| 5  | ANG  |           |           |
| 6  | ARP  |           |           |
| 7  | ATS  |           |           |
| 8  | AUD  |           |           |
| 9  | BAK  |           |           |
| 10 | BEF  |           |           |
| 11 | BGL  |           |           |
| 12 | BND  |           |           |
| 13 | BOB  |           |           |
| 14 | BRR  |           |           |
| 15 | BSD  |           |           |
| 16 | BYR  |           |           |
| 17 | CAD  |           |           |
| 18 | CHF  |           |           |
| 19 | CLP  |           |           |
| 20 | CNY  |           |           |
| 21 | COP  |           |           |

## Related MDO Lists

* "currencyheadings"
* "currencyheadingswithallitem"
* "currencyheadingswithallitemwithnoselection"
* "currencyheadingswithnoselection"
* "currencywithallitem"
* "currencywithallitemwithnoselection"
* "currencywithnoselection"


## Related topics

- [Currency](/en/sale/admin/add-currency.md)
- [Change Currency](/en/api/reference/restful/agent/list_agent/change-currency.md)
- [NSCurrency](/en/automation/crmscript/reference/CRMScript.NetServer.NSCurrency.md)
- [Currency table](/en/database/tables/currency.md)
- [Get Currencies](/en/api/reference/restful/agent/list_agent/get-currencies.md)
